<?php
/*********************************************
Description: Processa página inicial
File: /includes/pg.recuperar-password.php
Project: Basikus
Developers: João Vieira
Start Date: 2009/12/21
*********************************************/


$fieldSenha = "";
$fieldEmail = "";

$smartyPg->assign('infoMensagem', "");

if (isset($_POST['btEnviar'])) {

    $fieldEmail = $_POST['bxEmail'];
    $fieldSenha = $_POST['bxSenha'];

    $sqlStmt = "
	SELECT id, nome
	FROM utilizadores
	WHERE email LIKE '" . $fieldEmail . "'
	AND senha LIKE '" . md5($pwdWord . $fieldSenha) . "'
	AND estado = 'SIM'";
    $resultDb   = $connectDb->pedido($sqlStmt);
    if ( $resultDb->rowCount() > 0 ) {
	$rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC);
	$_SESSION['sessao_user_id']     = $rowResultDb['id'];
	$_SESSION['sessao_user_nome']   = $rowResultDb['nome'];
	$_SESSION['sessao_user_email']  = $fieldEmail;
	if ( $siteLng != "pt" ) header('Location: /profissionais-home-' . $siteLng .'.html');
	else header('Location: /profissionais-home.html');
    }else {
	if ( $siteLng != "pt" ) $smartyPg->assign('infoMensagem', "Authentication Error");
	else $smartyPg->assign('infoMensagem', "Erro de Autenticação");
    }
}
if (isset($_POST['btRecuperar'])) {

    $fieldEmail     = $_POST['bxEmail'];

    $sqlStmt = "
	SELECT id
	FROM utilizadores
	WHERE email LIKE '" . $fieldEmail . "'
	AND estado = 'SIM'";
    $resultDb   = $connectDb->pedido($sqlStmt);
    if ( $resultDb->rowCount() > 0 ) {
	$senhaTmp      = create_password();
	$sqlStmt = "
	    UPDATE utilizadores
	    SET senha = '" . md5($pwdWord . $senhaTmp) . "'
	    WHERE email LIKE '" . $fieldEmail . "'
	    AND estado = 'SIM'";
	$resultDb   = $connectDb->pedido($sqlStmt);
	$headers = 'From: info@sportgolf.pt' . "\r\n" .
	    'Reply-To: info@sportgolf.pt' . "\r\n" .
	    'X-Mailer: PHP/' . phpversion();


	if ( $siteLng != "pt" ) mail($fieldEmail, "Your New Password at Sport Golf", "\n\nYour new password is now : " . $senhaTmp , $headers);
	else mail($fieldEmail, "Tem nova senha no Sport Golf", "\n\nA sua nova senha passou a ser : " . $senhaTmp , $headers);
	$smartyPg->assign('infoMensagem', "SUCESSO");
    }else {
	if ( $siteLng != "pt" ) $smartyPg->assign('infoMensagem', "Invalid E-mail");
	else $smartyPg->assign('infoMensagem', "E-Mail Inválido");
    }
}


if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)){

    //meta tags

    $paginaTitle		= "Recuperar Senha";
    $paginaKeywords		= "sport, golf, recuperar, senha, password";
    $paginaDescription		= "Local para recuperar senha/password no Sport golf.";


}
?>